## ShellTrayManager

ShellTrayManager

## Synopsis

    struct              ShellTrayManager;
    struct              ShellTrayManagerClass;
    void                shell_tray_manager_manage_stage     (ShellTrayManager *manager,
                                                             ClutterStage *stage,
                                                             StWidget *theme_widget);
    ShellTrayManager *  shell_tray_manager_new              (void);

## Object Hierarchy

      GObject
       +----ShellTrayManager

## Properties

      "bg-color"                 ClutterColor*         : Read / Write / Construct Only

## Signals

      "tray-icon-added"                                : Run Last
      "tray-icon-removed"                              : Run Last

## Description

## Details

### struct ShellTrayManager

    struct ShellTrayManager;

### struct ShellTrayManagerClass

    struct ShellTrayManagerClass {
      GObjectClass parent_class;

      void (* tray_icon_added)   (ShellTrayManager *manager,
    			      ClutterActor     *icon,
    			      const char       *lowercase_wm_class);
      void (* tray_icon_removed) (ShellTrayManager *manager,
    			      ClutterActor     *icon);
    };

### shell_tray_manager_manage_stage ()

    void                shell_tray_manager_manage_stage     (ShellTrayManager *manager,
                                                             ClutterStage *stage,
                                                             StWidget *theme_widget);

### shell_tray_manager_new ()

    ShellTrayManager *  shell_tray_manager_new              (void);

## Property Details

### The `"bg-color"` property

      "bg-color"                 ClutterColor*         : Read / Write / Construct Only

Background color (only if we don't have transparency).

## Signal Details

### The `"tray-icon-added"` signal

    void                user_function                      (ShellTrayManager *shelltraymanager,
                                                            ClutterActor     *arg1,
                                                            gpointer          user_data)             : Run Last

### The `"tray-icon-removed"` signal

    void                user_function                      (ShellTrayManager *shelltraymanager,
                                                            ClutterActor     *arg1,
                                                            gpointer          user_data)             : Run Last